openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Curtis <curti...@gmail.com>
Subject Re: Java 8/Java 7 end of life
Date Tue, 10 Mar 2015 13:40:48 GMT
I don't think my previous comment was entirely correct.

> OpenJPA 2.3.x and trunk should be functional with java8, but I don't
think you can build OpenJPA with java8.
Java 8 works with 2.2.x and trunk. I can't say for certain about the 2.3.x
branch... that is maintained by the TomEE folks and I can't recall which
changes they did / didn't pull in to support Java 8.

Thanks,
Rick

On Tue, Mar 10, 2015 at 3:31 AM, Henno Vermeulen <henno@huizemolenaar.nl>
wrote:

> Hal Hildebrand wrote:
> > I can certainly confirm that OpenJPA runs on java 8.  And even
> > compiles when using source 1.7, target 1.7.
>
> Thank you Hal, that is some very useful information! It gives a solution
> to possible future security issues due to using an outdated VM.
>
> (I already tried using the released version 2.3.0 of OpenJPA with Java 8.
> Compiling works ok but enhancing the entities failed with some error
> message.)
>
> Henno
>
>
> -----Oorspronkelijk bericht-----
> Van: Rick Curtis [mailto:curtisr7@gmail.com]
> Verzonden: maandag 9 maart 2015 19:30
> Aan: users
> Onderwerp: Re: Java 8/Java 7 end of life
>
> Hal -
>
> What are you seeing for problems? We've done some amount of testing Entity
> enhancement when using java 8 language features.
>
> Thanks,
> Rick
>
> On Mon, Mar 9, 2015 at 10:46 AM, Hal Hildebrand <hal.hildebrand@me.com>
> wrote:
>
> > No.
> >
> > > On Mar 9, 2015, at 8:44 AM, Boblitz John <john.boblitz@bertschi.com>
> > wrote:
> > >
> > > Hello,
> > >
> > > Does the Byte Code Enhancement work when compiled for 1.8?
> > >
> > > Thanks & Regards,
> > >
> > > John Boblitz
> > >
> > >
> > >> -----Original Message-----
> > >> From: Hal Hildebrand [mailto:hal.hildebrand@me.com]
> > >> Sent: Montag, 9. März 2015 16:21
> > >> To: users@openjpa.apache.org
> > >> Subject: Re: Java 8/Java 7 end of life
> > >>
> > >> I can certainly confirm that OpenJPA runs on java 8.  And even
> > >> compiles when using source 1.7, target 1.7.  Byte code enhancement
> > >> works fine on
> > the
> > >> code when compiled in that fashion.
> > >>
> > >>> On Mar 9, 2015, at 6:06 AM, Rick Curtis <curtisr7@gmail.com>
wrote:
> > >>>
> > >>> OpenJPA 2.3.x and trunk should be functional with java8, but I
> > >>> don't think you can build OpenJPA with java8.
> > >>>
> > >>> On Mon, Mar 9, 2015 at 3:52 AM, Henno Vermeulen
> > >>> <henno@huizemolenaar.nl>
> > >>> wrote:
> > >>>
> > >>>> Hello,
> > >>>>
> > >>>> AFAIK, OpenJPA still doesn't work with Java 8. Are there any
> > >>>> plans of fixing this soon? Perhaps OpenJPA committers could give
> > >>>> this some more priority?
> > >>>>
> > >>>> Oracle public support for Java 7 will end after April this year,
> > >>>> see http://www.oracle.com/technetwork/java/javase/eol-135779.html
> > >>>> If I understand well, this means that security issues in Oracle's
> > >>>> Java 7 runtime will no longer be fixed so that an application
> > >>>> using OpenJPA on Java 7 will become more and more vulnerable over
> time.
> > >>>>
> > >>>> The ticket for Java 8 was last updated in October 2014:
> > >>>> https://issues.apache.org/jira/browse/OPENJPA-2386
> > >>>>
> > >>>> Regards,
> > >>>> Henno Vermeulen
> > >>>>
> > >>>
> > >>>
> > >>>
> > >>> --
> > >>> *Rick Curtis*
> > >
> >
> >
>
>
> --
> *Rick Curtis*
>



-- 
*Rick Curtis*

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message